#ifndef SIMULATION_H
#define SIMULATION_H

#include "../common/structs.h"
#include "../common/vector.h"
#include <time.h>


void run_simulation();

#define BULLET_OBJ main_scene->models[1]
#define CANNON_OBJ main_scene->models[2]
#define MARKER_OBJ main_scene->models[3]

#define MASS_OBJ main_scene->models[1]
#define SPRING_OBJ main_scene->models[2]


#define T_CANNON 0
#define T_SPRING 1

typedef struct
{
	vector position;
	vector velocity;
} state;

void add_states(state *dest, state *s1, state *s2);
void multiply_state(state *dest, state *s, double d);

#endif /* SIMULATION_H */
