#include <time.h>
#include <stdio.h>
#include "debug.h"
#include "misc.h"

void print_frame_info(clock_t start, clock_t finish, int rays)
{
	static double interval;

	interval = (double)(finish - start);

	printd(FRAME, "time:%.2f\tfps:%.2f\tintct:%i\n", 
			interval/TIME_SCALE, 1.000 / interval*TIME_SCALE, rays);
}
